New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

Problems, finding the iOS-specific Ktor dependencies #51

Open
preslavrachev opened this Issue Oct 11, 2018 · 6 comments

Comments

Projects
None yet
4 participants
@preslavrachev
Copy link

preslavrachev commented Oct 11, 2018

I ran into some issues trying to build the iosMain library. Basically, it appears, as if Gradle cannot download the iOS-specific dependencies for Ktor:

image

I checked Bintray a few times and the paths seem correct. I also downgraded the dependency version to what seemed a more stable one, but that did not help either.

I am using the latest community version of IntelliJ as well as v 1.3 of the Kotlin plugin.

@preslavrachev preslavrachev changed the title Problems finding the iOS-specific Ktor dependencies Problems, finding the iOS-specific Ktor dependencies Oct 11, 2018

@tekinalper

This comment has been minimized.

Copy link

tekinalper commented Oct 28, 2018

I do also have problems with building the project. Is it possible to update all the versions to the latest ones in gradle.properties? As far as I changed some of them, getting new errors.

Trying to use versions below:
gradle-4.10.2

kotlin_version=1.3.0-rc-198
org.jetbrains.kotlin.native.version=1.3.0-rc-208
coroutines_version=1.0.0-RC1
ktor_version=1.0.0-beta-2
serialization_version=0.6.1
gradle_android_version=3.4.0-alpha02

@AndreySBer

This comment has been minimized.

Copy link

AndreySBer commented Jan 11, 2019

Same problem with my own project and with just cloned this kotlinconf-app.
While gradle sync the following message appears:
Could not resolve org.jetbrains.kotlinx:kotlinx-coroutines-core-native:1.0.1.
Could not resolve org.jetbrains.kotlinx:kotlinx-serialization-runtime-native:0.9.1.
Could not resolve io.ktor:ktor-client-ios:1.0.1.
Could not resolve io.ktor:ktor-client-core-ios:1.0.1.
Could not resolve io.ktor:ktor-client-json-ios:1.0.1.
Although ktor-dependencies for other platforms are downloaded from here https://dl.bintray.com/kotlin/ktor/io/ktor/

@e5l

This comment has been minimized.

Copy link
Contributor

e5l commented Jan 11, 2019

Update to 1.1.1 should fix the problem.

@AndreySBer

This comment has been minimized.

Copy link

AndreySBer commented Jan 11, 2019

Update to 1.1.1 should fix the problem.

For ktor-client-json-ios and ktor-client-core-ios 1.0.1 is the last version in bintray:
https://dl.bintray.com/kotlin/ktor/io/ktor/ktor-client-json-ios/
https://dl.bintray.com/kotlin/ktor/io/ktor/ktor-client-core-ios/

@e5l

This comment has been minimized.

Copy link
Contributor

e5l commented Jan 11, 2019

The ios artifacts(except ktor-client-ios) is native now.
ex: (ktor-client-core-ios -> ktor-client-core-native)

@AndreySBer

This comment has been minimized.

Copy link

AndreySBer commented Jan 11, 2019

@e5l Thank you.

Could not resolve org.jetbrains.kotlinx:kotlinx-coroutines-core-native:1.0.1

solved with updating version to 1.1.0.

And how can be solved kotlinx-serialization-runtime-native?

Could not resolve org.jetbrains.kotlinx:kotlinx-serialization-runtime-native:0.9.1.

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment